Commit 2f25a327 by Jérome Perrin

testnode: import xml2dict from its new place

See slapos.core@42b55b5f
parent dde46fed
......@@ -11,7 +11,7 @@ from uritemplate import expand
import slapos.slap
from slapos.slap import SoftwareProductCollection
from slapos.client import SOFTWARE_PRODUCT_NAMESPACE
from slapos.slap.util import xml2dict
from slapos.util import xml2dict
from requests.exceptions import HTTPError
from ..taskdistribution import SAFE_RPC_EXCEPTION_LIST
from . import logger
......
  • mentioned in commit slapos@e35a7b9b

    Toggle commit list
  • On slapos master slapos.core 1.5.0 is used and xml2dict is no longer importable from this place.

    As a consequence, testnode from slapos master does not start.

    >>> import erp5.tests.testERP5TestNode
    Traceback (most recent call last):
      File "<console>", line 1, in <module>
      File "/srv/slapgrid/slappart19/srv/testnode/cqd/soft/dec99fa5745e5ff495122f17dcb4e64e/parts/erp5.util-repository/erp5/tests/testERP5TestNode.py", line 6, in <module>
        from erp5.util.testnode.testnode import TestNode, test_type_registry
      File "/srv/slapgrid/slappart19/srv/testnode/cqd/soft/dec99fa5745e5ff495122f17dcb4e64e/parts/erp5.util-repository/erp5/util/testnode/testnode.py", line 38, in <module>
        from .ScalabilityTestRunner import ScalabilityTestRunner
      File "/srv/slapgrid/slappart19/srv/testnode/cqd/soft/dec99fa5745e5ff495122f17dcb4e64e/parts/erp5.util-repository/erp5/util/testnode/ScalabilityTestRunner.py", line 33, in <module>
        from . import SlapOSControler, SlapOSMasterCommunicator
      File "/srv/slapgrid/slappart19/srv/testnode/cqd/soft/dec99fa5745e5ff495122f17dcb4e64e/parts/erp5.util-repository/erp5/util/testnode/SlapOSMasterCommunicator.py", line 14, in <module>
        from slapos.slap.util import xml2dict
    ImportError: No module named util
    >>> from slapos.util import xml2dict

    @seb @Tyagov @yusei @luke I prepared an erp5.util release with this fix . The commit is jerome/erp5@e5f90f35 I'm about to make an egg and upload it to pypi

  • @jerome , thank you. I just got hit by this error, too. Manually aplying fixed this for me so please go ahead and release + set in stack/slapos.cfg new version.

  • Thanks,

    I made the release using https://lab.nexedi.com/nexedi/erp5/tags/erp5.util-0.4.63 https://pypi.org/project/erp5.util/0.4.63/

    I also commited the version up in slapos master as slapos@353454de

    I think this was the reason for the SLAPOS-SR-TEST failures with "old style" tests (not using slapos.testing.testcase)

Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or sign in to comment